package com.shanghaichengdi.ghjgitem.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.shanghaichengdi.ghjgitem.domain.SysDatashareServiceNew;
import com.shanghaichengdi.ghjgitem.vo.FrequencyInfoVo;
import java.util.List;
import org.apache.poi.ss.formula.functions.T;

/**
 * @author 14390
 * @description 针对表【SYS_DATASHARE_SERVICE_NEW】的数据库操作Service
 * @createDate 2024-05-27 16:54:24
 */
public interface SysDatashareServiceNewService {

  void initCacheAuthService();

  FrequencyInfoVo getFrequencyInfoFromCache(String client, String url);

  void setNewLastRequestTime(FrequencyInfoVo frequencyInfoVo);

  List<SysDatashareServiceNew> list(Wrapper<SysDatashareServiceNew> queryWrapper);

  void refreshFrequency(List<String> clientList);
}
